Bug 1479272 - Platform Python Stack
Summary: Platform Python Stack
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Python Maintainers
QA Contact:
URL:
Whiteboard: ChangeAcceptedF27, SelfContainedChange
Depends On: 1481682
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-08 08:42 UTC by Jan Kurik
Modified: 2017-11-14 08:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-14 08:57:29 UTC


Attachments (Terms of Use)

Description Jan Kurik 2017-08-08 08:42:27 UTC
This is a tracking bug for Change: Platform Python Stack
For more details, see: https://fedoraproject.org//wiki/Changes/Platform_Python_Stack

A revisit of the System Python change from  Fedora 24. It has been renamed from System Python to Platform Python not to collide with upstream PEP 432.

Comment 1 Jan Kurik 2017-08-10 06:17:58 UTC
On 2017-Aug-01, we have reached the Fedora 27 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be enabled at Change Completion deadline as well.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo for 2017-Aug-11 meeting.

Please set this bug to the MODIFIED state to indicate it is already in the testable state, or provide an update describing the current state of implementation for this Change.

Thank you,
Jan

Comment 2 Petr Viktorin 2017-08-10 08:29:22 UTC
The change was accepted after that deadline, so we had not ime to implement it.
Changes in this situation have a deadline extension, see https://pagure.io/fesco/issue/1752

We're working on it as fast as possible, and we hope we can make it in the limited time.

Comment 3 Miro Hrončok 2017-08-11 13:48:57 UTC
The change is testable in Copr: https://copr.fedorainfracloud.org/coprs/g/python/platform-python-stack/

Comment 4 Petr Viktorin 2017-08-11 15:51:09 UTC
A more minimal set of packages to update is available in this COPR, which is also testable:

https://copr.fedorainfracloud.org/coprs/g/python/platform-python-stack-pruned/

Comment 5 Petr Viktorin 2017-08-11 16:05:28 UTC
We'd like to polish the specs and start pushing them to rawhide. For reference, here's the required build order:

1.
    python-rpm-macros
    rpm --without platform_python (for bytecompilation)
    python-rpm-generators (for abi requires/provides)
2.
    platform-python (BRs platform-python-rpm-macros)
3.
    rpm --with platform_python
    python-setuptools without tests
    python-setuptools_scm without tests
    libcomps
    librepo
    gpgme
    python-py(without tests)
4.
    python-hypothesis (BRs setuptools)
    python-coverage (BRs setuptools)
5.
    python-nose (needs coverage)
    pytest (needs py, hypothesis, setuptools_scm)
6.
    libdnf (needs nose)
    python-six (needs pytest)
7.
    python-iniparse (needs six)
8.
    dnf
9. (testful rebuilds)
    python-setuptools (with tests)
    python-setuptools_scm (with tests)
    SKIP python-py (with tests) - see https://github.com/pytest-dev/py/issues/104

Comment 6 Jan Kurik 2017-08-15 08:17:32 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 7 Miro Hrončok 2017-08-23 14:17:30 UTC
I consider this done. There might be bugs or sharp edges, but after fixing bz1483342 neither of this should affect "normal" Fedora.

Changing to ON_QA, where the Modularity WG will provide feedback once Platform (module?) is being created.


Note You need to log in before you can comment on or make changes to this bug.